package main

import (
	"git.ophivana.moe/cat/rpcfetch"
)

type config struct {
	ID       string
	Activity *rpcfetch.Activity
}

// sample config so the program works out of the box
var defaultConfig = config{
	ID: "1252927154480611351",
	Activity: &rpcfetch.Activity{
		State:      "%used / %total",
		Details:    "%1min %5min %15min",
		Timestamps: &rpcfetch.ActivityTimestamps{Start: &launchTime},
		Assets: &rpcfetch.ActivityAssets{
			LargeImage: "yorha",
			LargeText:  "%hostname",
			SmallImage: "flan",
			SmallText:  "PID: %pid",
		},
	},
}
